/*
 * tz.h
 *
 *
 *  Created on: 30-04-2014
 *      Author: KJ
 */

#ifndef TZ_H_
#define TZ_H_

#include "tdefs.h"

struct tz_logic
{
	u8 *out_ptr;
	u8 out_bit_no;

	u8 *in_ptr;
	u8 in_bit_no;

	u32 t_cnt;
};

struct tz_io
{
	u32 in;
	u32 out;
}__attribute__((__packed__));

struct tz_params
{
	u32 t_delay;
}__attribute__((__packed__));

struct tz_args
{
	struct tz_io io;
	struct tz_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void tz(void *args, void *logic);
extern int tz_initlog(void *args, void *logic);

#endif /* TZ_H_ */
